DROP AGGREGATE(7)

NAME
DROP AGGREGATE - remove a user-defined aggregate function

SYNOPSIS

DROP AGGREGATE name ( type ) [ CASCADE | RESTRICT ]

  INPUTS

name
    The name (optionally schema-qualified) of an existing aggregate function.

type
    The input data type of the aggregate function, or * if the function accepts any input type. (Refer to the PostgreSQL User's Guide for further information about data types.) [Comment: This should become a cross-reference rather than a hard-coded chapter number]

CASCADE
    Automatically drop objects that depend on the aggregate.

RESTRICT
    Refuse to drop the aggregate if there are any dependent objects. This is the default.

  OUTPUTS

DROP AGGREGATE
    Message returned if the command is successful.

ERROR: RemoveAggregate: aggregate 'name' for type type does not exist
    This message occurs if the aggregate function specified does not exist in the database.

DESCRIPTION

DROP AGGREGATE will delete an existing aggregate definition. To execute this command the current user must be the owner of the aggregate.

  NOTES

Use CREATE AGGREGATE [create_aggregate(7)] to create aggregate functions.

USAGE

To remove the myavg aggregate for type int4:

DROP AGGREGATE myavg(int4);

COMPATIBILITY

  SQL92

There is no DROP AGGREGATE statement in SQL92; the statement is a PostgreSQL language extension.